Tuesday, 1 January 2013

How to Fix Metasploit unloaded modules

Posted by at 23:43 Read our previous post
Yesterday, After updating Metasploit I got an error that Metasploit could not load some modules.

Metasploit Module could not be loaded:

===================[ ERROR ]=====================
[-] WARNING! The following modules could not be loaded!
[-] /opt/metasploit/msf3/modules/post/windows/gather/credentials/outlook.rb: SyntaxError /opt/metasploit/msf3/modules/post/windows/gather/credentials/outlook.rb:35: syntax error, unexpected tLSHFT, expecting ')'
<<<<<<< .mine ^ /opt/metasploit/msf3/modules/post/windows/gather/credentials/outlook.rb:36: syntax error, unexpected tASSOC, expecting keyword_end 'Version' => '$Revision: 16005 $',
/opt/metasploit/msf3/modules/post/windows/gather/credentials/outlook.rb:36: syntax error, unexpected ',', expecting keyword_end
/opt/metasploit/msf3/modules/post/windows/gather/credentials/outlook.rb:37: syntax error, unexpected tASSOC, expecting keyword_end
'Platform' => [ 'windows' ],

I think some modules are not completed when I'm doing update. So I will restore the modules named "outlook.rb"

1. Delete the related modules (in this case outlook.rb)

sudo rm -rf /opt/metasploit/msf3/modules/post/windows/gather/credentials/outlook.rb*

2. Update the Metasploit with msfupdate command
sudo msfupdate

3. Re-open your Metasploit and Horray the problem Fixed!

Note: In the other cases, if you found that some modules could not be loaded, you can use this trick by deleting the unloaded modules and restore it agains.

No comments:

Post a Comment

©2012 SECURITY is powered by Blogger - Template designed by Stramaxon - Best SEO Template